package com.cool.store.dto.trtc.callback;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @Author: young.yu
 * @Date: 2023-06-29  01:17
 * @Description:
 */
public class EventInfo {
    @JsonProperty("RoomId")
    private String roomId;
    @JsonProperty("EventTs")
    private long eventTs;
    @JsonProperty("UserId")
    private String userId;
    @JsonProperty("TaskId")
    private String taskId;
    @JsonProperty("Payload")
    private Payload payload;

    public String getRoomId() {
        return roomId;
    }

    public void setRoomId(String roomId) {
        this.roomId = roomId;
    }

    public long getEventTs() {
        return eventTs;
    }

    public void setEventTs(long eventTs) {
        this.eventTs = eventTs;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Payload getPayload() {
        return payload;
    }

    public void setPayload(Payload payload) {
        this.payload = payload;
    }
}
